<simulator-page *ngIf='vm$ | async as vm'>
  <div class='bg-white dark:bg-gray-800 px-4 py-6 sm:p-6 rounded-2xl'>
    <!-- Tiles -->
    <div class='mt-2 grid grid-cols-1 gap-5 sm:grid-cols-2 md:grid-cols-2 lg:grid-cols-3'>
      <simulator-tiles title='Your mPower' icon='cube'
                       class='animate__animated animate__duration-2s animate__fadeInDown'
                       [value]='{buy: vm.lastMining?.orgMiningPower, rose: null}'></simulator-tiles>
      <simulator-tiles title='Number of Device' icon='cube'
                       class='animate__animated animate__duration-2s animate__fadeInDown'
                       [value]='{buy: vm.device?.totalCount || 0, rose: null}'></simulator-tiles>
      <simulator-tiles title='mPower per DHX' icon='cube'
                       class='animate__animated animate__duration-2s animate__fadeInDown'
                       [value]='{buy: vm.mPowerPerDHX, rose: null}'></simulator-tiles>
    </div>
    <!-- End Of Tiles -->
    <!-- Actions -->
    <!-- This example requires Tailwind CSS v2.0+ -->
    <div class="mt-8 pb-5 border-b border-gray-200 sm:flex sm:items-center sm:justify-between">
      <h3 class="text-lg leading-6 font-medium text-gray-900 dark:text-white">
        Mining Forecast Rewards
      </h3>
      <div class="mt-3 flex sm:mt-0 sm:ml-4">
        <button type="button"
                (click)='reset()'
                class="inline-flex items-center px-4 py-2 border border-gray-300 rounded-md shadow-sm text-sm font-medium text-gray-700 bg-white hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
          Reset
        </button>
        <button type="button"
                (click)='OptimizeEanings()'
                class="ml-3 inline-flex items-center px-4 py-2 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
          Optimize !
        </button>
      </div>
    </div>
    <!-- End Of Button -->
    <div class='flow-root mt-8 mb-10'>
      <ul class='mb-8'>
        <simulator-timeline-item *ngFor='let item of forecast' [item]='item'></simulator-timeline-item>
      </ul>
    </div>
  </div>
</simulator-page>
